﻿using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.IO;
using System.Data.SqlClient;
using System.Data;


public partial class Admin_IssuePaper : System.Web.UI.Page
{
    string _consString = System.Configuration.ConfigurationManager.ConnectionStrings["IJMRS_CONSTRING"].ConnectionString;    
    protected void Page_Load(object sender, EventArgs e)
    {
        SqlConnection apConn = null;
        try
        {
            apConn = new SqlConnection(_consString);
            SqlCommand apCmdd = new SqlCommand("select _Journal_Name from _JOURNALS");
            apCmdd.Connection = apConn;

            apConn.Open();
            SqlDataReader apRdr = apCmdd.ExecuteReader();

            if (apRdr.HasRows && !IsPostBack)
            {
                while (apRdr.Read())
                {
                    DropDownList1.Items.Add(apRdr["_Journal_Name"].ToString());
                }
                ViewState["AddPaperJour"] = DropDownList1.SelectedValue;
                getVolume();
            }
            apConn.Close();
        }
        catch (Exception ex)
        {
            Response.Write("error");
        }
        finally
        {
            apConn.Close();
        }
    }

    protected void DropDownList1_SelectedIndexChanged(object sender, EventArgs e)
    {
        ViewState["AddPaperJour"] = DropDownList1.SelectedValue;
        DropDownList2.Items.Clear();
        getVolume();
    }

    public void getVolume()
    {
        SqlConnection conn = null;

        try
        {
            conn = new SqlConnection(_consString);
            conn.Open();
            SqlCommand apCmdd3 = new SqlCommand("select _VOLUME_NAME from _VOLUMES where _VOLUME_JOURNAL=@journal order by _VOLUME_DATE asc");
            apCmdd3.Parameters.Add("@journal", SqlDbType.VarChar, 150).Value = ViewState["AddPaperJour"].ToString();
            apCmdd3.Connection = conn;
            SqlDataReader apRdr3 = apCmdd3.ExecuteReader();

            if (apRdr3.HasRows)
            {
                while (apRdr3.Read())
                {
                    DropDownList2.Items.Add(apRdr3["_VOLUME_NAME"].ToString());
                }
            }
        }
        catch (Exception ex)
        {
            Response.Write("error");
        }
        finally
        {
            conn.Close();
        }
    }
    void fg()
    {
        
    }
    protected void ImageButton1_Click(object sender, ImageClickEventArgs e)
    {
        try
        {
            string filePath = FileUpload1.PostedFile.FileName;
            string filename = Path.GetFileName(filePath);
            string ext = Path.GetExtension(filename);
            string contenttype = String.Empty;

            switch (ext)
            {
                case ".doc":
                    contenttype = ".doc";
                    break;
                case ".docx":
                    contenttype = ".docx";
                    break;
                case ".pdf":
                    contenttype = ".pdf";
                    break;

            }
            if (contenttype != String.Empty)
            {

                Random r = new Random();
                int randID;
                randID = r.Next(1000000, 999999999);
                string Paper_ID = "P" + randID;

                submit_paper(Paper_ID, ext);
                paper_author1(Paper_ID);

                if (TextBox5.Text != "")
                    paper_author2(Paper_ID);
                if (TextBox6.Text != "")
                    paper_author3(Paper_ID);
                if (TextBox7.Text != "")
                    paper_author4(Paper_ID);

                
            }
        }
        catch (Exception ex)
        {
            Response.Write("error");
        }
        finally
        {
            Response.Redirect("Confirmation.aspx?Action=Paper&Name=" + TextBox1.Text);
        }
    }

    void submit_paper(string P_ID, string extension)
    {
        SqlConnection con = null;
        try
        {
            Stream fs = FileUpload1.PostedFile.InputStream;
            BinaryReader br = new BinaryReader(fs);
            Byte[] bytes = br.ReadBytes((Int32)fs.Length);          


            //FETCHING VOLUME ID IN ViewState["VolumeID"]
            con = new SqlConnection(_consString);
            SqlCommand apCmd = new SqlCommand("select _VOLUME_ID from _VOLUMES where _VOLUME_NAME=@volume and _VOLUME_JOURNAL=@journal");
            apCmd.Connection = con;

            apCmd.Parameters.Add("@volume", SqlDbType.VarChar, 100).Value = DropDownList2.SelectedValue;
            apCmd.Parameters.Add("@journal", SqlDbType.VarChar, 150).Value = DropDownList1.SelectedValue;

            con.Open();
            SqlDataReader apRdr2 = apCmd.ExecuteReader();

            if (apRdr2.HasRows)
            {
                apRdr2.Read();
                ViewState["VolumeID"] = apRdr2["_VOLUME_ID"].ToString();
            }
            apRdr2.Close();
            //END OF FETCHING VOLUME ID IN ViewState["VolumeID"]

           
            //STORING PAPER DATA IN DATABASE
            SqlCommand cmd = new SqlCommand("_PAPERS_PRO");
            cmd.Connection = con;
            cmd.CommandType = CommandType.StoredProcedure;           

            cmd.Parameters.Add("@_PAPER_ID", SqlDbType.VarChar).Value = P_ID;
            cmd.Parameters.Add("@_PAPER_NAME", SqlDbType.VarChar).Value = TextBox1.Text;
            cmd.Parameters.Add("@_PAPER_JOURNAL_NAME", SqlDbType.VarChar).Value = DropDownList1.SelectedValue;
            cmd.Parameters.Add("@_PAPER_ABSTRACT", SqlDbType.VarChar).Value = TextBox2.Text;
            cmd.Parameters.Add("@_PAPER_KEYWORDS", SqlDbType.VarChar).Value = TextBox3.Text;
            cmd.Parameters.Add("@_PAPER_STATUS", SqlDbType.VarChar).Value = "Approved";
            cmd.Parameters.Add("@_PAPER_TIME", SqlDbType.DateTime).Value = DateTime.Now.ToString();
            cmd.Parameters.Add("@_PAPER_DATA", SqlDbType.VarBinary).Value = bytes;
            cmd.Parameters.Add("@_PAPER_ex", SqlDbType.VarChar).Value = extension;
            cmd.Parameters.Add("@_PAPER_VOLUME_ID", SqlDbType.VarChar).Value = ViewState["VolumeID"];
            cmd.Parameters.Add("@_PAPER_VOLUME_NAME", SqlDbType.VarChar).Value = DropDownList2.SelectedValue;
          
            cmd.ExecuteNonQuery();
            con.Close();
        }
        catch (Exception ex)
        {
            Response.Write("error");
        }
        finally
        {
            con.Close();
        }
    }

    void paper_author1(string P_ID)
    {
        SqlConnection con = null;
        try
        {
            Random P = new Random();
            string PA_ID = "PA1" + P.Next(1000000, 999999999);

            con = new SqlConnection(_consString);
            SqlCommand cmd = new SqlCommand("PAPER_AUTHOR_PRO");
            cmd.Connection = con;
            cmd.CommandType = CommandType.StoredProcedure;

            cmd.Parameters.Add("@PA_ID", SqlDbType.VarChar).Value = PA_ID;
            cmd.Parameters.Add("@PA_NAME", SqlDbType.VarChar).Value = TextBox4.Text;
            cmd.Parameters.Add("@PA_PAPER_ID", SqlDbType.VarChar).Value = P_ID;
            cmd.Parameters.Add("@PA_EMAIL", SqlDbType.VarChar).Value = TextBox8.Text;
            cmd.Parameters.Add("@PA_DETAILS", SqlDbType.VarChar).Value = TextBox16.Text;

            con.Open();
            cmd.ExecuteNonQuery();
            con.Close();
        }
        catch (Exception ex)
        {
            Response.Write("error");
        }
        finally
        {
            con.Close();
        }
    }

    void paper_author2(string P_ID)
    {
        SqlConnection con = null;
        try
        {
            Random P = new Random();
            string PA_ID = "PA2" + P.Next(1000000, 999999999);

            con = new SqlConnection(_consString);
            SqlCommand cmd = new SqlCommand("PAPER_AUTHOR_PRO");
            cmd.Connection = con;
            cmd.CommandType = CommandType.StoredProcedure;

            cmd.Parameters.Add("@PA_ID", SqlDbType.VarChar).Value = PA_ID;
            cmd.Parameters.Add("@PA_NAME", SqlDbType.VarChar).Value = TextBox5.Text;
            cmd.Parameters.Add("@PA_PAPER_ID", SqlDbType.VarChar).Value = P_ID;
            cmd.Parameters.Add("@PA_EMAIL", SqlDbType.VarChar).Value = TextBox9.Text;
            cmd.Parameters.Add("@PA_DETAILS", SqlDbType.VarChar).Value = TextBox17.Text;

            con.Open();
            cmd.ExecuteNonQuery();
            con.Close();
        }
        catch (Exception ex)
        {
            Response.Write("error");
        }
        finally
        {
            con.Close();
        }
    }

    void paper_author3(string P_ID)
    {
        SqlConnection con = null;
        try
        {
            Random P = new Random();
            string PA_ID = "PA3" + P.Next(1000000, 999999999);

            con = new SqlConnection(_consString);
            SqlCommand cmd = new SqlCommand("PAPER_AUTHOR_PRO");
            cmd.Connection = con;
            cmd.CommandType = CommandType.StoredProcedure;

            cmd.Parameters.Add("@PA_ID", SqlDbType.VarChar).Value = PA_ID;
            cmd.Parameters.Add("@PA_NAME", SqlDbType.VarChar).Value = TextBox6.Text;
            cmd.Parameters.Add("@PA_PAPER_ID", SqlDbType.VarChar).Value = P_ID;
            cmd.Parameters.Add("@PA_EMAIL", SqlDbType.VarChar).Value = TextBox10.Text;
            cmd.Parameters.Add("@PA_DETAILS", SqlDbType.VarChar).Value = TextBox18.Text;

            con.Open();
            cmd.ExecuteNonQuery();
            con.Close();
        }
        catch (Exception ex)
        {
            Response.Write("error");
        }
        finally
        {
            con.Close();
        }
    }

    void paper_author4(string P_ID)
    {
        SqlConnection con = null;
        try
        {
            Random P = new Random();
            string PA_ID = "PA4" + P.Next(1000000, 999999999);

            con = new SqlConnection(_consString);
            SqlCommand cmd = new SqlCommand("PAPER_AUTHOR_PRO");
            cmd.Connection = con;
            cmd.CommandType = CommandType.StoredProcedure;

            cmd.Parameters.Add("@PA_ID", SqlDbType.VarChar).Value = PA_ID;
            cmd.Parameters.Add("@PA_NAME", SqlDbType.VarChar).Value = TextBox7.Text;
            cmd.Parameters.Add("@PA_PAPER_ID", SqlDbType.VarChar).Value = P_ID;
            cmd.Parameters.Add("@PA_EMAIL", SqlDbType.VarChar).Value = TextBox11.Text;
            cmd.Parameters.Add("@PA_DETAILS", SqlDbType.VarChar).Value = TextBox19.Text;

            con.Open();
            cmd.ExecuteNonQuery();
            con.Close();
        }
        catch (Exception ex)
        {
            Response.Write("error");
        }
        finally
        {
            con.Close();
        }
    }

}
