﻿using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using System.Data.SqlClient;

public partial class Admin_AdminJournalProposel : System.Web.UI.Page
{
    string _consString = System.Configuration.ConfigurationManager.ConnectionStrings["IJMRS_CONSTRING"].ConnectionString;
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!Page.IsPostBack)
        {
            ViewState["SortExpression"] = "Journal_Name ASC";
            EditorialBoardGridView.AllowSorting = true;
            EditorialBoardGridView.AllowPaging = true;
            EditorialBoardGridView.PageSize = 10;

            GridData();
        }
    }

    private void GridData()
    {
        SqlConnection con = null;
        SqlCommand cmd = null;

        try
        {

            con = new SqlConnection(_consString);
            con.Open();

            cmd = new SqlCommand();
            cmd.Connection = con;
            cmd.CommandType = CommandType.Text;
            cmd.CommandText = "Select Journal_Name, _Status, Creation_Time, Requested_By, Email, Institution, _AboutJournal  from Journal_Purposal";


            SqlDataAdapter da = new SqlDataAdapter(cmd);
            DataSet ds = new DataSet();
            da.Fill(ds, "Journal_Purposal");

            DataView dv = ds.Tables["Journal_Purposal"].DefaultView;

            EditorialBoardGridView.DataSource = dv;
            dv.Sort = ViewState["SortExpression"].ToString();

            EditorialBoardGridView.DataBind();
            con.Close();

        }
        catch (Exception ex)
        {
            Response.Write("error");
        }
        finally
        {
            con.Close();
        }
    }
 
    protected void EditorialBoardGridView_RowEditing(object sender, GridViewEditEventArgs e)
    {
        EditorialBoardGridView.EditIndex = e.NewEditIndex;

        GridData();
    }
    protected void EditorialBoardGridView_RowCancelingEdit(object sender, GridViewCancelEditEventArgs e)
    {
        EditorialBoardGridView.EditIndex = -1;
        GridData();
    }
    protected void EditorialBoardGridView_RowCommand(object sender, GridViewCommandEventArgs e)
    {
        if (e.CommandName == "Send mail")
        {
            Response.Redirect( "~/Admin/SendMail.aspx?journalName="+e.CommandArgument);
        }
        else if (e.CommandName == "View")
        {
            Response.Redirect("~/Admin/AdminPurposedJournalDetails.aspx?journalName=" + e.CommandArgument);
        }
        else if (e.CommandName == "Approve")
        {
            SqlConnection con = null;
            SqlCommand cmd = null;

            try
            {

                con = new SqlConnection(_consString);
                con.Open();

                cmd = new SqlCommand();
                cmd.Connection = con;
                cmd.CommandType = CommandType.StoredProcedure;
                cmd.CommandText = "ApproveJournal_Procedure";

                cmd.Parameters.Add("@jName", SqlDbType.VarChar, 200).Value = e.CommandArgument;

                SqlDataAdapter da = new SqlDataAdapter(cmd);
                DataSet ds = new DataSet();
                da.Fill(ds, "ApproveJournal_Procedure");

                con.Close();

                GridData();

            }
            catch (Exception ex)
            {
                Response.Write("error");
            }
            finally
            {
                con.Close();
            }
        }

    }
    protected void EditorialBoardGridView_RowDeleting(object sender, GridViewDeleteEventArgs e)
    {
        SqlConnection con = null;
        SqlCommand cmd = null;

        try
        {

            con = new SqlConnection(_consString);
            con.Open();

            cmd = new SqlCommand();
            cmd.Connection = con;
            cmd.CommandType = CommandType.Text;
            cmd.CommandText = "Delete From Journal_Purposal Where Journal_Name=@jName";

            string id =EditorialBoardGridView.Rows[e.RowIndex].Cells[4].Text;

            cmd.Parameters.Add("@jName", SqlDbType.VarChar, 200).Value =id;

            SqlDataAdapter da = new SqlDataAdapter(cmd);
            DataSet ds = new DataSet();
            da.Fill(ds, "Journal_Purposal");
            con.Close();

            GridData();

        }
        catch (Exception ex)
        {
            Response.Write("error");
        }
        finally
        {
            con.Close();
        }
    }
    protected void EditorialBoardGridView_RowUpdating(object sender, GridViewUpdateEventArgs e)
    {
        using (SqlConnection con = new SqlConnection(_consString))
        {
            con.Open();

            SqlCommand cmd = new SqlCommand();
            cmd.Connection = con;
            cmd.CommandType = CommandType.Text;
            cmd.CommandText = "UPDATE Journal_Purposal SET Requested_By=@a, Email=@b, Institution=@c, Creation_Time=@d WHERE Journal_Name=@j";

            string id = EditorialBoardGridView.Rows[e.RowIndex].Cells[4].Text;
            string _memName = ((TextBox)EditorialBoardGridView.Rows[e.RowIndex].FindControl("RequestedByTextBox")).Text;
            string _email = ((TextBox)EditorialBoardGridView.Rows[e.RowIndex].FindControl("EmailEditorTextBox")).Text;
            string _institution = ((TextBox)EditorialBoardGridView.Rows[e.RowIndex].FindControl("InstitutionEditorTextBox")).Text;
            string _time = ((TextBox)EditorialBoardGridView.Rows[e.RowIndex].FindControl("TimeEditorTextBox")).Text;

            cmd.Parameters.Add("@j", SqlDbType.VarChar, 200).Value = id;
            cmd.Parameters.Add("@a", SqlDbType.VarChar, 200).Value = _memName;
            cmd.Parameters.Add("@b", SqlDbType.VarChar, 250).Value = _email;
            cmd.Parameters.Add("@c", SqlDbType.VarChar, 300).Value = _institution;
            cmd.Parameters.Add("@d", SqlDbType.DateTime).Value = DateTime.Now.ToString();

            SqlDataAdapter da = new SqlDataAdapter(cmd);
            DataSet ds = new DataSet();
            da.Fill(ds, "Journal_Purposal");


            con.Close();
            EditorialBoardGridView.EditIndex = -1;
            GridData();
        }
    }
    protected void EditorialBoardGridView_RowUpdated(object sender, GridViewUpdatedEventArgs e)
    {
        NotiLabel.Text = "Row updated Successfully.";
    }
    protected void EditorialBoardGridView_PageIndexChanging(object sender, GridViewPageEventArgs e)
    {
        EditorialBoardGridView.PageIndex = e.NewPageIndex;
        GridData();
    }
    protected void EditorialBoardGridView_RowDataBound(object sender, GridViewRowEventArgs e)
    {

        if (e.Row.RowType == DataControlRowType.DataRow)
        {
            // Make sure the current GridViewRow is either 
            // in the normal state or an alternate row.
            if (e.Row.RowState == DataControlRowState.Normal || e.Row.RowState == DataControlRowState.Alternate)
            {
                // Add client-side confirmation when deleting.
                ((LinkButton)e.Row.Cells[1].Controls[0]).Attributes["onclick"] = "if(!confirm('Are you certain you want to delete this row ?')) return false;";
            }
        }
    }
    protected void EditorialBoardGridView_Sorting(object sender, GridViewSortEventArgs e)
    {
        string[] strSortExpression = ViewState["SortExpression"].ToString().Split(' ');

        // If the sorting column is the same as the previous one, 
        // then change the sort order.
        if (strSortExpression[0] == e.SortExpression)
        {
            if (strSortExpression[1] == "ASC")
            {
                ViewState["SortExpression"] = e.SortExpression + " " + "DESC";
            }
            else
            {
                ViewState["SortExpression"] = e.SortExpression + " " + "ASC";
            }
        }
        // If sorting column is another column,  
        // then specify the sort order to "Ascending".
        else
        {
            ViewState["SortExpression"] = e.SortExpression + " " + "ASC";
        }

        GridData();
    }
}