﻿using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using System.Data.SqlClient;

public partial class Admin_Papers : System.Web.UI.Page
{
    string connString = System.Configuration.ConfigurationManager.ConnectionStrings["IJMRS_CONSTRING"].ConnectionString;
    protected void Page_Load(object sender, EventArgs e)
    {

        SqlDataSource1.SelectParameters.Remove(SqlDataSource1.SelectParameters["jour1"]);
        SqlDataSource1.SelectParameters.Remove(SqlDataSource1.SelectParameters["volume"]);

        //if (IsPostBack)
        //{
        //    string controlID = Page.Request.Params["__EVENTTARGET"];
        //    Control postbackControl = Page.FindControl(controlID);
        //    if (controlID == "ctl00$ContentPlaceHolder1$GridView1")
        //        filter();
        //}
        LoadJournals();
        //GetVolume();
    }
    protected void DropDownList1_SelectedIndexChanged(object sender, EventArgs e)
    {
        ViewState["Journal"] = DropDownList1.SelectedValue;
        DropDownList2.Items.Clear();
        GetVolume();
        filter();
    }

    protected void DropDownList2_SelectedIndexChanged(object sender, EventArgs e)
    {
        ViewState["volume"] = DropDownList2.SelectedValue;
        filter();
    }
    void LoadJournals()
    {
        SqlConnection connZx = null;
        try
        {
            connZx = new SqlConnection(connString);
            SqlCommand paperCmd = new SqlCommand("SELECT _Journal_Name from _JOURNALS");
            paperCmd.Connection = connZx;

            connZx.Open();

            SqlDataReader paperRdr = paperCmd.ExecuteReader();

            if (paperRdr.HasRows && !IsPostBack)
            {
                while (paperRdr.Read())
                {
                    DropDownList1.Items.Add(paperRdr["_Journal_Name"].ToString());
                }
            }
            connZx.Close();
        }
        catch (Exception ex)
        {
            Response.Write(ex.ToString());
        }
        finally
        {
            connZx.Close();
        }        
    }
    void GetVolume()
    {
        SqlConnection connZx = null;
        try
        {
            connZx = new SqlConnection(connString);
            SqlCommand cmd = new SqlCommand("select _VOLUME_NAME,_VOLUME_ID from _VOLUMES where _VOLUME_JOURNAL=@jour order by _VOLUME_DATE asc");
            cmd.Parameters.Add("@jour", SqlDbType.VarChar, 150).Value = ViewState["Journal"].ToString();
            cmd.Connection = connZx;

            connZx.Open();
            SqlDataReader rdr = cmd.ExecuteReader();

            DropDownList2.Items.Add("-- All Volumes --");
            if (rdr.HasRows)
            {
                while (rdr.Read())
                {
                    ListItem li = new ListItem();
                    li.Text = rdr["_VOLUME_NAME"].ToString();
                    li.Value = rdr["_VOLUME_ID"].ToString();
                    DropDownList2.Items.Add(li);
                }
            }
            connZx.Close();
        }
        catch (Exception ex)
        {
            Response.Write(ex.ToString());
        }
        finally
        {
            connZx.Close();
        }
    }
    void filter()
    {
        try
        {

            DropDownList2.Visible = true;
            if (DropDownList2.SelectedValue == "-- All Volumes --")
            {
                SqlDataSource1.SelectCommand = "SELECT _PAPER_ID,_PAPER_NAME,_PAPER_ABSTRACT,_PAPER_KEYWORDS,_PAPER_TIME FROM [_PAPERS] where _PAPER_JOURNAL_NAME=@jour1" +
                                               " and _PAPER_STATUS='Approved' ORDER BY _PAPER_TIME ASC";
                SqlDataSource1.SelectParameters.Add("jour1", DbType.String, ViewState["Journal"].ToString());
            }
            else
            {
                SqlDataSource1.SelectCommand = "SELECT _PAPER_ID,_PAPER_NAME,_PAPER_ABSTRACT,_PAPER_KEYWORDS,_PAPER_TIME FROM [_PAPERS] where _PAPER_VOLUME_ID=@volume " +
                                               "and _PAPER_STATUS='Approved' ORDER BY _PAPER_TIME ASC";
                SqlDataSource1.SelectParameters.Add("volume", DbType.String, ViewState["volume"].ToString());
            }

        }
        catch (Exception ex)
        {
            Response.Write(ex.ToString());
        }
        finally
        {
        }
    }  

   

    //protected void Download(object sender, CommandEventArgs e)
    //{
    //    SqlConnection connZx = null;
    //    try
    //    {
    //        connZx = new SqlConnection(connString);
    //        connZx.Open();
    //        SqlCommand cmd = new SqlCommand("select * from _PAPERS where _PAPER_ID=@p_ID");
    //        cmd.Connection = connZx;
    //        cmd.Parameters.Add("@p_ID", SqlDbType.VarChar).Value = e.CommandArgument;

    //        SqlDataReader rdr = cmd.ExecuteReader();

    //        if (rdr.HasRows)
    //        {
    //            rdr.Read();
    //            {
    //                Byte[] bytes = (Byte[])rdr["_PAPER_DATA"];
    //                Response.Buffer = true;
    //                Response.Charset = "";
    //                Response.Cache.SetCacheability(HttpCacheability.NoCache);
    //                Response.ContentType = "application/msword";
    //                Response.ContentType = "application/pdf";
    //                Response.AddHeader("content-disposition", "attachment;filename=" + rdr["_PAPER_NAME"] + rdr["_PAPER_ex"].ToString());
    //                Response.BinaryWrite(bytes);
    //                Response.Flush();
    //                Response.End();
    //            }
    //        }
    //        connZx.Close();
    //    }
    //    catch (Exception ex)
    //    {
    //        Response.Write(ex);
    //    }
    //    finally
    //    {
    //        connZx.Close();
    //    }
    //}
    protected void Delete(object sender, CommandEventArgs e)
    {
        SqlConnection connZx = null;
        try
        {
            connZx = new SqlConnection(connString);
            SqlCommand cmd = new SqlCommand("delete from _PAPERS where _PAPER_ID=@p_ID");
            cmd.Connection = connZx;
            cmd.CommandType = CommandType.Text;
            cmd.Parameters.Add("@p_ID", SqlDbType.VarChar).Value = e.CommandArgument;
            connZx.Open();
            cmd.ExecuteNonQuery();
            connZx.Close();
            Response.Redirect("Confirmation.aspx?Action=PaperDelete");
        }
        catch (Exception ex)
        {
            Response.Write(ex.ToString());
        }
    }
    protected void GridView1_SelectedIndexChanging(object sender, GridViewSelectEventArgs e)
    {
        filter();
    }
}