﻿using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using System.Data.SqlClient;
using System.IO;

public partial class Admin_Publish : System.Web.UI.Page
{
    string _consString = System.Configuration.ConfigurationManager.ConnectionStrings["IJMRS_CONSTRING"].ConnectionString;
    protected void Page_Load(object sender, EventArgs e)
    {
        SqlConnection pdCon = null;

        try
        {
            string _PaperID = Request.QueryString["ID"];
            SqlDataSource1.SelectCommand = "SELECT PA_NAME, PA_EMAIL, PA_DETAILS FROM PAPER_AUTHOR where PA_PAPER_ID=@pid";
            SqlDataSource1.SelectParameters.Add("pid", DbType.String, _PaperID);

            pdCon = new SqlConnection(_consString);
            SqlCommand pdCmd = new SqlCommand("Select * from _PAPERS where _PAPER_ID=@paper");
            pdCmd.Parameters.Add("@paper", SqlDbType.VarChar,100).Value = _PaperID;
            pdCmd.Connection = pdCon;
            pdCon.Open();

            SqlDataReader pdRdr = pdCmd.ExecuteReader();

            if (pdRdr.HasRows)
            {
                pdRdr.Read();
                {
                    Label6.Text = pdRdr["_PAPER_NAME"].ToString();
                    Label7.Text = pdRdr["_PAPER_JOURNAL_NAME"].ToString();
                    ViewState["Journal"] = pdRdr["_PAPER_JOURNAL_NAME"].ToString();
                    Label8.Text = pdRdr["_PAPER_KEYWORDS"].ToString();
                    Label9.Text = pdRdr["_PAPER_ABSTRACT"].ToString();   
                }
            }

            pdRdr.Close();
            SqlCommand pdCmd2 = new SqlCommand("Select _VOLUME_NAME from _VOLUMES where _VOLUME_JOURNAL=@journal order by _VOLUME_DATE asc");
            pdCmd2.Parameters.Add("@journal", SqlDbType.VarChar, 100).Value = ViewState["Journal"];
            pdCmd2.Connection = pdCon;

            pdRdr = pdCmd2.ExecuteReader();

            if (pdRdr.HasRows)
            {
                while (pdRdr.Read())
                {
                    DropDownList1.Items.Add(pdRdr["_VOLUME_NAME"].ToString());
                }
            }
            else
            {
                DropDownList1.Items.Add("No volume available");
            }

            pdCon.Close();
        }
        catch (Exception ex)
        {
            Response.Write("error");
        }
        finally
        {
            pdCon.Close();
        }
    }
     
    protected void ImageButton1_Click(object sender, ImageClickEventArgs e)
    {
        SqlConnection con2 = null;

        try
        {
            string filePath = FileUpload1.PostedFile.FileName;
            string filename = Path.GetFileName(filePath);
            string ext = Path.GetExtension(filename);
            string contenttype = String.Empty;

                
            switch (ext)
            {
                case ".doc":
                    contenttype = ".doc";
                    break;
                case ".docx":
                    contenttype = ".docx";
                    break;
                case ".pdf":
                    contenttype = ".pdf";
                    break;

            }
            
            if (contenttype != String.Empty)
            {                
                Stream fs = FileUpload1.PostedFile.InputStream;
                BinaryReader br = new BinaryReader(fs);
                Byte[] bytes = br.ReadBytes((Int32)fs.Length);

                con2 = new SqlConnection(_consString);
                con2.Open();
                SqlCommand cmd=new SqlCommand("select _VOLUME_ID from _VOLUMES where _VOLUME_JOURNAL=@jour and _VOLUME_NAME=@vol");
                cmd.Connection=con2;
                cmd.Parameters.Add("@jour",SqlDbType.VarChar).Value=ViewState["Journal"].ToString();
                cmd.Parameters.Add("@vol",SqlDbType.VarChar).Value=DropDownList1.SelectedValue;


                SqlDataReader rdr=cmd.ExecuteReader();
                if (rdr.HasRows)
                {
                    rdr.Read();
                    ViewState["Volume"] = rdr["_VOLUME_ID"].ToString();
                }
                else
                {
                    Response.Redirect("Warning.aspx?Action=No Volume");
                }
                rdr.Close();

                SqlCommand cmd2 = new SqlCommand("_PUBLISH_PAPER");
                cmd2.Connection = con2;
                cmd2.CommandType = CommandType.StoredProcedure;

                cmd2.Parameters.Add("@_PAPER_ID", SqlDbType.VarChar).Value = Request.QueryString["ID"].ToString();
                cmd2.Parameters.Add("@_PAPER_VOLUME_NAME", SqlDbType.VarChar).Value = DropDownList1.SelectedValue;
                cmd2.Parameters.Add("@_PAPER_VOLUME_ID", SqlDbType.VarChar).Value = ViewState["Volume"];
                cmd2.Parameters.Add("@_PAPER_DATA", SqlDbType.VarBinary).Value = bytes;
                cmd2.Parameters.Add("@_PAPER_STATUS", SqlDbType.VarChar).Value = "Approved";
                cmd2.Parameters.Add("@_PAPER_TIME", SqlDbType.DateTime).Value = DateTime.Now.ToString(); ;

                cmd2.ExecuteNonQuery();
                con2.Close();

                Response.Redirect("~/Admin/Confirmation.aspx?Action=Publish&Name=" + DropDownList1.SelectedValue);
            }
                
        }
        catch (Exception ex)
        {
            Response.Write("error");
        }
        finally
        {
            con2.Close();
        }
    }
}