﻿using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using System.Data.SqlClient;
using System.Net.Mail;
using System.IO;
using System.Net;

public partial class Admin_SendMail : System.Web.UI.Page
{
    string _consString = System.Configuration.ConfigurationManager.ConnectionStrings["IJMRS_CONSTRING"].ConnectionString;
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            if (Request.QueryString["To"] == "Paper")
            {
                mail_to_paper_request();
            }
            else if (Request.QueryString["To"] == "Contact")
            {
                mail_to_contact();
            }
            else if (Request.QueryString["To"] == "MemberRequest")
            {
                mail_to_member_request();
            }
            else if (Request.QueryString["To"] == "Member")
            {
                mail_to_member();
            }
        }
    }

    void mail_to_member()
    {
        SqlConnection con = null;
        try
        {
            con = new SqlConnection(_consString);
            SqlCommand cmd = new SqlCommand("select MEMBER_EMAIL FROM _EDI_BOARD WHERE MEMBER_ID=@id");
            cmd.Connection = con;
            cmd.CommandType = CommandType.Text;
            cmd.Parameters.Add("@id", SqlDbType.VarChar).Value = Request.QueryString["ID"];
            con.Open();

            SqlDataReader rdr = cmd.ExecuteReader();
            if (rdr.HasRows)
            {
                rdr.Read();
                TextBox1.Text = rdr["MEMBER_EMAIL"].ToString();
            }
            con.Close();
        }
        catch (Exception ex)
        {
            Response.Write(ex);
        }
        finally
        {
            con.Close();
        }
    }
    void mail_to_contact()
    {
        SqlConnection con = null;
        try
        {
            con = new SqlConnection(_consString);
            SqlCommand cmdd = new SqlCommand("select CONTACT_MAIL FROM _CONTACTS WHERE CONTACT_ID=@id");
            cmdd.Connection = con;
            cmdd.CommandType = CommandType.Text;   
            cmdd.Parameters.Add("@id", SqlDbType.VarChar).Value = Request.QueryString["ID"];
            con.Open();

            SqlDataReader rdr = cmdd.ExecuteReader();
            if (rdr.HasRows)
            {
                rdr.Read();
                TextBox1.Text = rdr["CONTACT_MAIL"].ToString();
            }
            con.Open();
        }
        catch (Exception ex)
        {
            Response.Write(ex.GetType());
            
        }
        finally
        {
            con.Close();
        }
    }

    void mail_to_paper_request()
    {
        SqlConnection con = null;

        try
        {
            con = new SqlConnection(_consString);
            SqlCommand cmdd = new SqlCommand("select PA_EMAIL FROM PAPER_AUTHOR WHERE PA_PAPER_ID=@id");
            cmdd.Parameters.Add("@id", SqlDbType.VarChar).Value = Request.QueryString["ID"];
            cmdd.Connection = con;
            con.Open();

            SqlDataReader rdr = cmdd.ExecuteReader();
            if (rdr.HasRows)
            {
                string author = "";

                for (int i = 0; rdr.Read(); i++)
                {
                    if (rdr["PA_EMAIL"].ToString() == "")
                        continue;
                    author = author + rdr["PA_EMAIL"].ToString() + ", ";
                }
                int cnt = author.Length;
                author = author.Remove(cnt - 2, 2);
                TextBox1.Text = author;     
            }
        }
        catch (Exception ex)
        {
            Response.Write(ex);
        }
        finally
        {
            con.Close();
        }
    }

    void mail_to_member_request()
    {
        SqlConnection con = null;

        try
        {
            con = new SqlConnection(_consString);
            SqlCommand cmd = new SqlCommand("select * FROM _EDI_BOARD WHERE MEMBER_ID=@id");
            cmd.Connection = con;
            cmd.Parameters.Add("@id", SqlDbType.VarChar).Value = Request.QueryString["ID"];
            con.Open();

            SqlDataReader rdr = cmd.ExecuteReader();
            if (rdr.HasRows)
            {
                rdr.Read();
                TextBox1.Text = rdr["MEMBER_EMAIL"].ToString();
            }
        }
        catch (Exception ex)
        {
            Response.Write(ex);
        }
        finally
        {
            con.Close();
        }
    }

    protected void ImageButton1_Click(object sender, ImageClickEventArgs e)
    {

        string filePath;
        string fileName = FileUpload1.FileName;
        FileUpload1.PostedFile.Equals(Server.MapPath("~/Attachments/" + fileName));
        filePath = "~/Attachments/" + fileName;
        try
        {
            //Attachment attach;
            MailMessage msg = new MailMessage();
            MailAddress madd = new MailAddress("ijmrseditor@gmail.com", "IJMRS");
            msg.To.Add(TextBox1.Text);
            msg.From = madd;
            msg.Body = TextBox2.Text;
            msg.Subject = TextBox3.Text;
            if (FileUpload1.HasFile == true)
            {
                

                if (FileUpload1.PostedFile.ContentLength > 0)
                {

                    FileUpload1.PostedFile.SaveAs(Server.MapPath(filePath));

                    Attachment attach = new Attachment(Server.MapPath(filePath));

                    msg.Attachments.Add(attach);
                }


            }

            SmtpClient client = new SmtpClient();
            client.Host = "smtp.gmail.com";
            client.Port = 587;
            client.EnableSsl = true;
            client.DeliveryMethod = System.Net.Mail.SmtpDeliveryMethod.Network;
            client.Credentials = new System.Net.NetworkCredential(" ijmrseditor@gmail.com", "ijesijms");

            client.Send(msg);
            msg.Dispose();

            if (File.Exists(Server.MapPath(filePath)))
            {
                File.Delete(Server.MapPath(filePath));
            }

            Response.Redirect("~/Admin/Confirmation.aspx?Action=Mail");
        }
        catch(Exception ex)
        {
            Response.Write(ex);
        }
        finally
        {

        }
    }
}