﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data.SqlClient;
using System.Data;
using System.Configuration;
using System.IO;
using System.Drawing;
using System.Drawing.Imaging;
public partial class Admin_AddBanners : System.Web.UI.Page
{
    string conString = ConfigurationManager.ConnectionStrings["myConnX"].ConnectionString;
    protected string rdrctUrl = System.Configuration.ConfigurationManager.AppSettings["RedirectUrl"];
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            LoadCategories();
            LoadData();
        }
    }
    void LoadData()
    {
        using (SqlConnection con = new SqlConnection(conString))
        {
            SqlCommand cmd = new SqlCommand();
            cmd.Connection = con;
            cmd.CommandText = "SELECT CAT_ID, PRODUCT_NAME, PRODUCT_DESC, PRODUCT_FINAL_PRICE, PRODUCT_REAL_PRICE, PRODUCT_DISCOUNT, PRODUCT_IMAGE," +
                              "SUB_CAT_ID_fk, PRODUCT_EMI, PRODUCT_HOME_DEL FROM PRODUCTS INNER JOIN SUB_CATEGORY ON SUB_CAT_ID=SUB_CAT_ID_FK "+
                              "INNER JOIN CATEGORY ON CAT_ID=CAT_ID_FK WHERE PRODUCT_ID=@PRODUCT_ID";
            cmd.CommandType = CommandType.Text;
            cmd.Parameters.AddWithValue("@PRODUCT_ID", Request.QueryString["id"]);

            con.Open();
            SqlDataAdapter ds = new SqlDataAdapter(cmd);
            con.Close();

            DataTable dt = new DataTable();
            ds.Fill(dt);

            if (dt.Rows.Count > 0)
            {
                foreach (DataRow row in dt.Rows)
                {
                    LoadSubCat(row["CAT_ID"].ToString());
                    TextBox1.Text = row["PRODUCT_NAME"].ToString();
                    TextBox4.Text = row["PRODUCT_FINAL_PRICE"].ToString();
                    if (row["PRODUCT_DISCOUNT"].ToString() != "0")
                    {
                        TextBox2.Enabled = true;
                        TextBox5.Enabled = true;
                        TextBox2.Text = row["PRODUCT_REAL_PRICE"].ToString();
                        TextBox5.Text = row["PRODUCT_DISCOUNT"].ToString();
                    }
                    DropDownList1.SelectedValue = row["CAT_ID"].ToString();
                    DropDownList2.SelectedValue = row["SUB_CAT_ID_fk"].ToString();
                    DropDownList3.SelectedValue = row["PRODUCT_EMI"].ToString();
                    DropDownList4.SelectedValue = row["PRODUCT_HOME_DEL"].ToString();
                    Editor1.Content = row["PRODUCT_DESC"].ToString();
                }
            }
        }
    }
    void LoadCategories()
    {
       
            using (SqlConnection con = new SqlConnection(conString))
            {
                SqlCommand cmd = new SqlCommand();
                cmd.Connection = con;
                cmd.CommandText = "SELECT * FROM CATEGORY";
                cmd.CommandType = CommandType.Text;

                con.Open();
                SqlDataAdapter ds = new SqlDataAdapter(cmd);
                con.Close();

                DataTable dt = new DataTable();
                ds.Fill(dt);

                if (dt.Rows.Count > 0)
                {
                    foreach (DataRow row in dt.Rows)
                    {
                        DropDownList1.Items.Add(new ListItem(row["CAT_NAME"].ToString(), row["CAT_ID"].ToString()));
                    }
                }
            }
    }

    protected void DropDownList1_SelectedIndexChanged(object sender, EventArgs e)
    {

        LoadSubCat(DropDownList1.SelectedValue);

    }
    void LoadSubCat(string id)
    {
        using (SqlConnection con = new SqlConnection(conString))
        {
            SqlCommand cmd = new SqlCommand();
            cmd.Connection = con;
            cmd.CommandText = "SELECT * FROM SUB_CATEGORY WHERE CAT_ID_fk=@CAT_ID_fk";
            cmd.CommandType = CommandType.Text;
            cmd.Parameters.AddWithValue("@CAT_ID_fk", id);

            con.Open();
            SqlDataAdapter ds = new SqlDataAdapter(cmd);
            con.Close();

            DataTable dt = new DataTable();
            ds.Fill(dt);

            if (dt.Rows.Count > 0)
            {
                foreach (DataRow row in dt.Rows)
                {
                    DropDownList2.Items.Add(new ListItem(row["SUB_CAT_NAME"].ToString(), row["SUB_CAT_ID"].ToString()));
                }
            }
        }
    }
    protected void Button1_Click(object sender, EventArgs e)
    {
        using (SqlConnection con = new SqlConnection(conString))
        {
            string productImgUrl = "";
            string productImgUrl2 = "";
            string productImgUrl3 = "";
            string photoId = Request.QueryString["id"];
            if (FileUpload1.HasFile)
            {
                Bitmap orgnlBm = new Bitmap(FileUpload1.FileContent);
                SaveProductImage(orgnlBm, photoId);

                productImgUrl = rdrctUrl + "/products/icon/" + photoId + ".jpeg";
                productImgUrl2 = rdrctUrl + "/products/product/" + photoId + ".jpeg";
                productImgUrl3 = rdrctUrl + "/products/full/" + photoId + ".jpeg";
            }


            SqlCommand cmd = new SqlCommand();
            cmd.CommandText = "UPDATE_PRODUCTS";
            cmd.Connection = con;
            cmd.CommandType = CommandType.StoredProcedure;

            cmd.Parameters.AddWithValue("@PRODUCT_ID", photoId);
            cmd.Parameters.AddWithValue("@PRODUCT_NAME", TextBox1.Text);
            cmd.Parameters.AddWithValue("@PRODUCT_DESC", Editor1.Content);
            cmd.Parameters.AddWithValue("@PRODUCT_IMAGE", productImgUrl);
            cmd.Parameters.AddWithValue("@PRODUCT_IMAGE2", productImgUrl2);
            cmd.Parameters.AddWithValue("@PRODUCT_IMAGE3", productImgUrl3);
            cmd.Parameters.AddWithValue("@PRODUCT_FINAL_PRICE", TextBox4.Text);
            cmd.Parameters.AddWithValue("@PRODUCT_REAL_PRICE", TextBox2.Text);
            cmd.Parameters.AddWithValue("@PRODUCT_DISCOUNT", TextBox5.Text);
            cmd.Parameters.AddWithValue("@PRODUCT_EMI", DropDownList3.SelectedValue);
            cmd.Parameters.AddWithValue("@PRODUCT_HOME_DEL", DropDownList4.SelectedValue);
            cmd.Parameters.AddWithValue("@SUB_CAT_ID_fk", DropDownList2.SelectedValue);

            con.Open();
            cmd.ExecuteNonQuery();
            con.Close();
            Response.Write("<script>alert('Product added');</script>");
            Response.Redirect("products.aspx");
        }
    }
    void SaveProductImage(Bitmap bm, string imgId)
    {
        int height = bm.Height;
        int width = bm.Width;
        int newHeight, newWidth;
        int newHeight2, newWidth2;
        int a = 80;
        int b = 150;
        if (width < height)
        {
            newWidth = a; newHeight = (height * a) / width;
            newWidth2 = b; newHeight2 = (height * b) / width;
        }
        else
        {
            newHeight = a; newWidth = (width * a) / height;
            newHeight2 = b; newWidth2 = (width * b) / height;
        }

        Bitmap newBm = new Bitmap(bm, newWidth, newHeight);
        Bitmap newBm2 = new Bitmap(bm, newWidth2, newHeight2);

        string imgPath = Server.MapPath("~/products/icon/" + imgId + ".jpeg");
        string imgPath2 = Server.MapPath("~/products/product/" + imgId + ".jpeg");
        string imgPath3 = Server.MapPath("~/products/full/" + imgId + ".jpeg");

        newBm.Save(imgPath, ImageFormat.Jpeg);
        newBm2.Save(imgPath2, ImageFormat.Jpeg);
        bm.Save(imgPath3, ImageFormat.Jpeg);
    }
    void ClearInputs(ControlCollection ctrls)
    {
        foreach (Control ctrl in ctrls)
        {
            if (ctrl is TextBox)
                ((TextBox)ctrl).Text = string.Empty;
            ClearInputs(ctrl.Controls);
        }
    }
    protected void RadioButtonList1_SelectedIndexChanged(object sender, EventArgs e)
    {
        string discoutn = RadioButtonList1.SelectedValue;
        if (discoutn == "Yes")
        {
            TextBox5.Enabled = true;
            TextBox2.Enabled = true;
            RequiredFieldValidator6.Enabled=true;
            RequiredFieldValidator7.Enabled=true;
        }
        else if(discoutn == "No")
        {

            TextBox5.Enabled = false;
            TextBox2.Enabled = false;
            TextBox2.Text = "";
            TextBox5.Text = "";
            RequiredFieldValidator6.Enabled = false;
            RequiredFieldValidator7.Enabled = false;
        }

    }
}