﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.IO;
using System.Data;
using System.Data.SqlClient;
using System.Configuration;
public partial class MasterPage : System.Web.UI.MasterPage
{
    string conString = ConfigurationManager.ConnectionStrings["myConnX"].ConnectionString;
    protected string rdrctUrl = System.Configuration.ConfigurationManager.AppSettings["RedirectUrl"];
    protected void Page_Load(object sender, EventArgs e)
    {
        Page.Header.DataBind();    
        MainMenu();
        BottomMainMenu();
    }
    void BottomMainMenu()
    {
        using (SqlConnection con = new SqlConnection(conString))
        {
            string menuHtml = "";
            SqlCommand cmd = new SqlCommand();
            cmd.Connection = con;
            cmd.CommandText = "SELECT * FROM MENU WHERE MENU_POSITION='BOTTOM'";
            cmd.CommandType = CommandType.Text;

            con.Open();
            SqlDataAdapter ds = new SqlDataAdapter(cmd);
            con.Close();

            DataTable dt = new DataTable();
            ds.Fill(dt);

            if (dt.Rows.Count > 0)
            {
                foreach (DataRow row in dt.Rows)
                {
                    menuHtml += "<div class='FooterMenuContainer'>" + 
                                "<div class='FooterMenuHead'>" +
                                    "<a href=" + row["MENU_LINK"].ToString() + ">" + row["MENU_NAME"].ToString() + "</a>" +
                                "</div>" +
                                "<ul>" + BottomSubMenu(Convert.ToInt32(row["MENU_ID"])) + "</ul>" +
                                "</div>";
                }
            }
            footerMenu.InnerHtml = menuHtml;
        }
    }
    string BottomSubMenu(int menuId)
    {
        string subMenuHtml = "";
        using (SqlConnection con = new SqlConnection(conString))
        {
            SqlCommand cmd = new SqlCommand();
            cmd.Connection = con;
            cmd.CommandText = "SELECT * FROM SUB_MENU WHERE MENU_ID_fk=@MENU_ID_fk";
            cmd.Parameters.AddWithValue("@MENU_ID_fk", menuId);
            cmd.CommandType = CommandType.Text;

            con.Open();
            SqlDataAdapter ds = new SqlDataAdapter(cmd);
            con.Close();

            DataTable dt = new DataTable();
            ds.Fill(dt);

            if (dt.Rows.Count > 0)
            {
                foreach (DataRow row in dt.Rows)
                {
                    subMenuHtml += "<li>" +
                                    "<a href=" + row["SUB_MENU_LINK"].ToString() + ">" + row["SUB_MENU_NAME"].ToString() + "</a>" +
                                "</li>";
                }
            }
        }
        return subMenuHtml;
    }
    void MainMenu()
    {
        using (SqlConnection con = new SqlConnection(conString))
        {
            string menuHtml = "";
            SqlCommand cmd = new SqlCommand();
            cmd.Connection = con;
            cmd.CommandText = "SELECT * FROM MENU WHERE  MENU_POSITION='TOP'";
            cmd.CommandType = CommandType.Text;

            con.Open();
            SqlDataAdapter ds = new SqlDataAdapter(cmd);
            con.Close();

            DataTable dt = new DataTable();
            ds.Fill(dt);

            if(dt.Rows.Count>0)
            {
                foreach (DataRow row in dt.Rows)
                {
                    menuHtml += "<li>" +
                                    "<a href=" + row["MENU_LINK"].ToString() + ">" + row["MENU_NAME"].ToString() + "</a>" +
                                    SubMenu(Convert.ToInt32(row["MENU_ID"])) + 
                                "</li>";
                }
            }
            menuContainer.InnerHtml = menuHtml;
        }
    }
    string SubMenu(int menuId)
    {
        string subMenuHtml = "";
        using (SqlConnection con = new SqlConnection(conString))
        {
            SqlCommand cmd = new SqlCommand();
            cmd.Connection = con;
            cmd.CommandText = "SELECT * FROM SUB_MENU WHERE MENU_ID_fk=@MENU_ID_fk";
            cmd.Parameters.AddWithValue("@MENU_ID_fk", menuId);
            cmd.CommandType = CommandType.Text;

            con.Open();
            SqlDataAdapter ds = new SqlDataAdapter(cmd);
            con.Close();

            DataTable dt = new DataTable();
            ds.Fill(dt);

            if (dt.Rows.Count > 0)
            {
                foreach (DataRow row in dt.Rows)
                {
                    subMenuHtml += "<li>" +
                                    "<a href=" + row["SUB_MENU_LINK"].ToString() + ">" + row["SUB_MENU_NAME"].ToString() + "</a>" +                                    
                                "</li>";
                }
                subMenuHtml = "<div class='SubMenuContainer'><ul>" + subMenuHtml + "</ul></div>";
            }
        }
        return subMenuHtml;
    }
    protected void ImageButton1_Click(object sender, ImageClickEventArgs e)
    {
        Response.Redirect(rdrctUrl + "search?term=" + TextBox1.Text);
    }
}
