﻿CREATE DATABASE ShraddhaInfoDB


create PROC GET_PROJECT_DETAILS
AS BEGIN 
	SELECT Project_Client, Project_img FROM Project_Table
END
GO


CREATE PROC ADD_PACKAGE
	@PACKAGE_NAME VARCHAR(20),
	@PACKAGE_PRICE VARCHAR(15),
	@PACKAGES_CONTENTS VARCHAR(MAX)
AS BEGIN
	INSERT INTO WEB_PACKAGES VALUES(@PACKAGE_NAME, @PACKAGE_PRICE, @PACKAGES_CONTENTS)
END
GO


CREATE PROC UPDATE_PACKAGE
	@PACKAGE_ID INT,
	@PACKAGE_NAME VARCHAR(20),
	@PACKAGE_PRICE VARCHAR(15),
	@PACKAGES_CONTENTS VARCHAR(MAX)
AS BEGIN
	UPDATE WEB_PACKAGES SET PACKAGE_NAME=@PACKAGE_NAME, PACKAGE_PRICE=@PACKAGE_PRICE, PACKAGES_CONTENTS=@PACKAGES_CONTENTS
	WHERE PACKAGE_ID=@PACKAGE_ID
END
GO



Create PROC Add_Social_Media 
    @SM_Image varchar(150),
    @SM_Name varchar(25),
    @SM_Link varchar(50)
AS BEGIN
	INSERT INTO Social_Media VALUES(@SM_Image, @SM_Name, @SM_Link)
END
GO
 



 ALTER PROC ADD_Testimonials
     @Testimonial_writer varchar(30),
     @Testimonial_writer_img varchar(150),
     @Testimonial_Text varchar(500),
     @Testimonial_Time dateTime
AS BEGIN
	INSERT INTO Testimonials VALUES(@Testimonial_writer, @Testimonial_writer_img, @Testimonial_Text, @Testimonial_Time)
END
GO





ALTER PROC GET_MENUS_NAME
	@NAME VARCHAR(50)
AS BEGIN 
	SELECT Page_Name, Page_Url_Name FROM Pages_Table WHERE page_Menu_name=@NAME
END
GO


ALTER PROC GET_PAGE_CONTENTS
	@PAGE_NAME  VARCHAR(50)
AS BEGIN 
	SELECT  Page_Id,Page_contents, Page_Name , page_Menu_name, Page_Title FROM Pages_Table WHERE Page_Url_Name=@PAGE_NAME
END
GO


ALTER PROC GET_META
	@pageId  int
AS BEGIN 
	SELECT  Meta_Name,Meta_Content FROM Pages_seo WHERE Meta_Pages_ID=@pageId
END
GO


ALTER PROC PAGE_UPDATE
	  @Page_Id int ,
	  @Page_Name  varchar(50),
	  @Page_Url_Name varchar(50),
	  @page_Menu_id int ,
	  @page_Menu_name varchar(50) ,
	  @Page_contents varchar(MAX),
	  @Page_Title varchar(50)
AS BEGIN
		UPDATE Pages_Table SET  Page_Name=@Page_Name, Page_Url_Name=@Page_Url_Name,	page_Menu_id=@page_Menu_id,
		page_Menu_name=@page_Menu_name, Page_contents=@Page_contents, Page_Title=@Page_Title WHERE Page_Id=@Page_Id
END
GO
  


CREATE PROC UPDATE_PROJECT_IMAGE
	@Project_img varchar(150),
	@Project_ID INT
AS BEGIN
	UPDATE Project_Table SET Project_img=@Project_img WHERE Project_ID=@Project_ID
END
GO



CREATE PROC UPDATE_SOCIAL_MEDIA_ICON
	@SM_ICON varchar(150),
	@SM_ID INT
AS BEGIN
	UPDATE Social_Media SET SM_Image=@SM_ICON WHERE SM_ID=@SM_ID
END
GO



alter PROC ADD_PROJECT
	@Project_Client varchar(20),
	@Project_img varchar(150),
	@Project_Start date,
	@Project_End  date,
	@Project_Technology varchar(50),
	@Project_Type varchar(50),
	@Project_website varchar(50),
	@Project_Add_Time datetime
AS BEGIN

	INSERT INTO Project_Table VALUES(@Project_Client,@Project_img, @Project_Start, @Project_End, 
	@Project_Technology, @Project_Type, @Project_website, @Project_Add_Time)
END
GO


CREATE PROC UPDATE_ADMIN_PASS
	@OLD_PASS VARCHAR(20),
	@NEW_PASS VARCHAR(20)
AS BEGIN
	DECLARE @GET_OLD_PASS VARCHAR(20)
	DECLARE @MSG int
	SET @GET_OLD_PASS =(SELECT admin_pass FROM Admin_logins)
		IF(@OLD_PASS=@GET_OLD_PASS)BEGIN 
			UPDATE Admin_logins set admin_pass=@NEW_PASS
			SET @MSG=1
		END
		ELSE BEGIN
			SET @MSG=0
		END
	RETURN @MSG
END
GO

create PROC ADD_META_TAGS
	@Meta_Name Varchar(20),
	@Meta_Content varchar(500),
	@Meta_Pages_ID  int 
AS BEGIN
	INSERT INTO Pages_seo VALUES(@Meta_Name,@Meta_Content ,	@Meta_Pages_ID)
END
GO


CREATE PROC ADD_BANNERS
       @Banner_link varchar(100),
       @Banner_Desc varchar(50),
       @Banner_DateTime datetime
AS BEGIN
	INSERT INTO Banner_Table VALUES(@Banner_link,@Banner_Desc,@Banner_DateTime)
END
GO

 
ALTER PROC Create_Pages
	  @Page_Name  varchar(50),
	  @Page_Url_Name varchar(50),
	  @page_Menu_id int ,
	  @page_Menu_name varchar(50) ,
	  @Page_contents varchar(MAX),
	  @page_Time DateTime ,
	  @Page_Title varchar(50)
AS BEGIN 	
	INSERT INTO Pages_Table values(@Page_Name ,	@Page_Url_Name, @page_Menu_id, @page_Menu_name, @Page_contents, @page_Time, @Page_Title)
END
GO

  
