﻿using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data.SqlClient;
using System.Data;
using System.IO;

public partial class AddPapers : System.Web.UI.Page
{
    string _consString = System.Configuration.ConfigurationManager.ConnectionStrings["IJMRS_CONSTRING"].ConnectionString; 
    protected void Page_Load(object sender, EventArgs e)
    {
        if(!IsPostBack)
        LoadConfInfo();
    }
    public void LoadConfInfo()
    {
        SqlConnection conn = null;

        try
        {
            conn = new SqlConnection(_consString);
            conn.Open();
            SqlCommand apCmdd3 = new SqlCommand("SELECT CONFERENCE_TITLE FROM CONFERENCE_DT");
            apCmdd3.Connection = conn;
            SqlDataReader apRdr3 = apCmdd3.ExecuteReader();

            if (apRdr3.HasRows)
            {
                while (apRdr3.Read())
                {
                    DropDownList1.Items.Add(apRdr3["CONFERENCE_TITLE"].ToString());
                }
            }
        }
        catch (Exception ex)
        {
            Response.Write(ex);
        }
        finally
        {
            conn.Close();
        }
    }
    protected void ImageButton1_Click(object sender, ImageClickEventArgs e)
    {
        try
        {
            string filePath = FileUpload1.PostedFile.FileName;
            string filename = Path.GetFileName(filePath);
            string ext = Path.GetExtension(filename);
            string contenttype = String.Empty;
          
            if (ext == ".pdf")
            {
                Random r = new Random();
                int Paper_ID = r.Next(1000000, 999999999);

                submit_paper(Paper_ID, ext);
                paper_author1(Paper_ID);

                if (TextBox5.Text != "")
                    paper_author2(Paper_ID);
                if (TextBox6.Text != "")
                    paper_author3(Paper_ID);
                if (TextBox7.Text != "")
                    paper_author4(Paper_ID);               

            }
        }
        catch (Exception ex)
        {
            Response.Write(ex);
        }
        finally
        {
            //Response.Redirect("Confirmation.aspx?Action=Paper&Name=" + TextBox1.Text);
        }
    }

    void submit_paper(int P_ID, string extension)
    {
        SqlConnection con = null;
        try
        {
            //FETCHING VOLUME ID IN ViewState["VolumeID"]
            con = new SqlConnection(_consString);
            SqlCommand apCmd = new SqlCommand("select CONFERENCE_ID from CONFERENCE_DT where CONFERENCE_TITLE=@NAME");
            apCmd.Connection = con;

            apCmd.Parameters.Add("@NAME", SqlDbType.VarChar, 100).Value = DropDownList1.SelectedValue;

            con.Open();
            SqlDataReader apRdr2 = apCmd.ExecuteReader();
            if (apRdr2.HasRows)
            {
                apRdr2.Read();
                ViewState["Conf_ID"] = apRdr2["CONFERENCE_ID"].ToString();
            }
            apRdr2.Close();
            //END OF FETCHING VOLUME ID IN ViewState["VolumeID"]


            //STORING PAPER DATA IN DATABASE
            string path = "d:\\HostingSpaces\\ktuiifkn\\data.ijmrs.com\\wwwroot\\ConferencePapers\\" + TextBox1.Text + Paper_ID + ext;
            string url = "http://data.ijmrs.com/ConferencePapers/" + TextBox1.Text + P_ID + ".pdf";
            FileUpload1.SaveAs(path);

            SqlCommand cmd = new SqlCommand("CONF_PAPERS_PRO");
            cmd.Connection = con;
            cmd.CommandType = CommandType.StoredProcedure;

            cmd.Parameters.Add("@PAPER_ID", SqlDbType.Int).Value = P_ID;
            cmd.Parameters.Add("@PAPER_NAME", SqlDbType.VarChar).Value = TextBox1.Text;
            cmd.Parameters.Add("@CONFERENCE_ID", SqlDbType.Int).Value = ViewState["Conf_ID"];
            cmd.Parameters.Add("@PAPER_ABSTRACT", SqlDbType.VarChar).Value = TextBox2.Text;
            cmd.Parameters.Add("@PAPER_KEYWORDS", SqlDbType.VarChar).Value = TextBox3.Text;
            cmd.Parameters.Add("@PAPER_URL", SqlDbType.VarChar).Value =url;
            cmd.Parameters.Add("@PAPER_EX", SqlDbType.VarChar).Value = extension;
            cmd.Parameters.Add("@PAPER_TIME", SqlDbType.DateTime).Value = DateTime.Now.ToString();

            cmd.ExecuteNonQuery();
            con.Close();
        }
        catch (Exception ex)
        {
            Response.Write(ex);
        }
        finally
        {
            con.Close();
        }
    }

    void paper_author1(int P_ID)
    {
        SqlConnection con = null;
        try
        {
            Random P = new Random();
            string PA_ID = "PA1" + P.Next(1000000, 999999999);

            con = new SqlConnection(_consString);
            SqlCommand cmd = new SqlCommand("CONF_PAPER_AUTHOR_PRO");
            cmd.Connection = con;
            cmd.CommandType = CommandType.StoredProcedure;

            cmd.Parameters.Add("@PA_ID", SqlDbType.VarChar).Value = PA_ID;
            cmd.Parameters.Add("@PA_NAME", SqlDbType.VarChar).Value = TextBox4.Text;
            cmd.Parameters.Add("@PAPER_ID", SqlDbType.VarChar).Value = P_ID;
            cmd.Parameters.Add("@PA_EMAIL", SqlDbType.VarChar).Value = TextBox8.Text;
            cmd.Parameters.Add("@PA_DETAILS", SqlDbType.VarChar).Value = TextBox16.Text;

            con.Open();
            cmd.ExecuteNonQuery();
            con.Close();
        }
        catch (Exception ex)
        {
            Response.Write(ex);
        }
        finally
        {
            con.Close();
        }
    }

    void paper_author2(int P_ID)
    {
        SqlConnection con = null;
        try
        {
            Random P = new Random();
            string PA_ID = "PA2" + P.Next(1000000, 999999999);

            con = new SqlConnection(_consString);
            SqlCommand cmd = new SqlCommand("CONF_PAPER_AUTHOR_PRO");
            cmd.Connection = con;
            cmd.CommandType = CommandType.StoredProcedure;

            cmd.Parameters.Add("@PA_ID", SqlDbType.VarChar).Value = PA_ID;
            cmd.Parameters.Add("@PA_NAME", SqlDbType.VarChar).Value = TextBox5.Text;
            cmd.Parameters.Add("@PAPER_ID", SqlDbType.VarChar).Value = P_ID;
            cmd.Parameters.Add("@PA_EMAIL", SqlDbType.VarChar).Value = TextBox9.Text;
            cmd.Parameters.Add("@PA_DETAILS", SqlDbType.VarChar).Value = TextBox17.Text;

            con.Open();
            cmd.ExecuteNonQuery();
            con.Close();
        }
        catch (Exception ex)
        {
            Response.Write(ex);
        }
        finally
        {
            con.Close();
        }
    }

    void paper_author3(int P_ID)
    {
        SqlConnection con = null;
        try
        {
            Random P = new Random();
            string PA_ID = "PA3" + P.Next(1000000, 999999999);

            con = new SqlConnection(_consString);
            SqlCommand cmd = new SqlCommand("CONF_PAPER_AUTHOR_PRO");
            cmd.Connection = con;
            cmd.CommandType = CommandType.StoredProcedure;

            cmd.Parameters.Add("@PA_ID", SqlDbType.VarChar).Value = PA_ID;
            cmd.Parameters.Add("@PA_NAME", SqlDbType.VarChar).Value = TextBox6.Text;
            cmd.Parameters.Add("@PAPER_ID", SqlDbType.VarChar).Value = P_ID;
            cmd.Parameters.Add("@PA_EMAIL", SqlDbType.VarChar).Value = TextBox10.Text;
            cmd.Parameters.Add("@PA_DETAILS", SqlDbType.VarChar).Value = TextBox18.Text;

            con.Open();
            cmd.ExecuteNonQuery();
            con.Close();
        }
        catch (Exception ex)
        {
            Response.Write(ex);
        }
        finally
        {
            con.Close();
        }
    }

    void paper_author4(int P_ID)
    {
        SqlConnection con = null;
        try
        {
            Random P = new Random();
            string PA_ID = "PA4" + P.Next(1000000, 999999999);

            con = new SqlConnection(_consString);
            SqlCommand cmd = new SqlCommand("CONF_PAPER_AUTHOR_PRO");
            cmd.Connection = con;
            cmd.CommandType = CommandType.StoredProcedure;

            cmd.Parameters.Add("@PA_ID", SqlDbType.VarChar).Value = PA_ID;
            cmd.Parameters.Add("@PA_NAME", SqlDbType.VarChar).Value = TextBox7.Text;
            cmd.Parameters.Add("@PAPER_ID", SqlDbType.VarChar).Value = P_ID;
            cmd.Parameters.Add("@PA_EMAIL", SqlDbType.VarChar).Value = TextBox11.Text;
            cmd.Parameters.Add("@PA_DETAILS", SqlDbType.VarChar).Value = TextBox19.Text;

            con.Open();
            cmd.ExecuteNonQuery();
            con.Close();
        }
        catch (Exception ex)
        {
            Response.Write(ex);
        }
        finally
        {
            con.Close();
        }
    }
}