﻿using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using System.Data.SqlClient;

public partial class CurrentPublication : System.Web.UI.Page
{
    
    string _consString = System.Configuration.ConfigurationManager.ConnectionStrings["IJMRS_CONSTRING"].ConnectionString;
    protected void Page_Load(object sender, EventArgs e)
    {
        SqlDataSource1.SelectParameters.Remove(SqlDataSource1.SelectParameters["vol_ID"]);
        if (!IsPostBack)
            getJournal();
    }

    protected void getJournal()
    { 
        SqlConnection con = null;
        try
        {
            con = new SqlConnection(_consString);
            SqlCommand cmd = new SqlCommand("SELECT _Journal_Name FROM _JOURNALS");
            cmd.Connection = con;
            con.Open();
            SqlDataReader rdr = cmd.ExecuteReader();

            if (rdr.HasRows)
            {
                while (rdr.Read())
                {
                    DropDownList1.Items.Add(rdr["_Journal_Name"].ToString());
                }
                ViewState["Jour_Name"] = DropDownList1.SelectedValue;
                GetVolumeID();
            }
            else
            {
                DropDownList1.Items.Add("No Journal Available");
            }
            con.Close();
        }
        catch (Exception ex)
        {
            Response.Write("error");
        }
        finally
        {
            con.Close();
        }
        
    }

    protected void DropDownList1_SelectedIndexChanged(object sender, EventArgs e)
    {
        ViewState["Jour_Name"] = DropDownList1.SelectedValue;
        GetVolumeID();
    }

    void GetVolumeID()
    {
        SqlConnection con2 = null;
        try
        {            
            con2 = new SqlConnection(_consString);
            SqlCommand cmd2 = new SqlCommand("SELECT TOP 1 _VOLUME_ID, _VOLUME_NAME FROM _VOLUMES WHERE _VOLUME_JOURNAL=@vol_jour ORDER BY _VOLUME_DATE desc ");
            cmd2.Parameters.Add("@vol_jour", SqlDbType.VarChar).Value = ViewState["Jour_Name"];
            cmd2.Connection = con2;
            con2.Open();

            SqlDataReader rdr2 = cmd2.ExecuteReader();

            if (rdr2.HasRows)
            {
                rdr2.Read();
                {
                    ViewState["crntVol"] = rdr2["_VOLUME_ID"].ToString();
                    ViewState["crntVolName"] = rdr2["_VOLUME_NAME"].ToString();
                }
                paper();
                EBJournalNameLabel.Text = ViewState["Jour_Name"] + "<font style='color:blue'> ( " + ViewState["crntVolName"] + " )</font>";
            }
            else
            {
                ViewState["crntVol"] = null;
                ViewState["crntVolName"] = null;
                EBJournalNameLabel.Text = ViewState["Jour_Name"] + "<font style='color:blue'> ( No Volume Available )</font>";
               
            }
           
            con2.Close();

        }
        catch (Exception ex)
        {
            Response.Write("error");
        }
        finally
        {
            con2.Close();
        }
    }
    void paper()
    {
        SqlConnection con = null;
        try
        {
            DataTable dt = new DataTable("Personal Database");
            dt.Columns.Add("P_Name", typeof(string));
            dt.Columns.Add("PA_Name", typeof(string));
            dt.Columns.Add("P_ID", typeof(string));
            con = new SqlConnection(_consString);
            con.Open();
            SqlCommand cmd = new SqlCommand("select _PAPER_NAME, _PAPER_ID from _PAPERS where _PAPER_VOLUME_ID='" + ViewState["crntVol"] + "' order by _PAPER_TIME asc");
            cmd.Connection = con;

            SqlDataReader rdr = cmd.ExecuteReader();

            if (rdr.HasRows)
            {
                for (int i = 0; rdr.Read(); i++)
                {
                    string id = rdr["_PAPER_ID"].ToString();
                    author(id);
                    dt.Rows.Add(rdr["_PAPER_NAME"].ToString(), ViewState["pa_name"].ToString(), rdr["_PAPER_ID"].ToString());
                }
            }
            else
            {
                Label1.Text = "no data";
            }
            Repeater1.DataSource = dt;
            Repeater1.DataBind();
        }
        catch (Exception ex)
        {
            Response.Write("error");
        }
        finally
        {

        }
    }
    void author(string pid)
    {
        string atr = "";
        SqlConnection con = null;
        try
        {
            con = new SqlConnection(_consString);
            SqlCommand cmd = new SqlCommand("select PA_NAME from PAPER_AUTHOR where PA_PAPER_ID='" + pid + "'");
            cmd.Connection = con;
            con.Open();
            SqlDataReader rdr = cmd.ExecuteReader();
            if (rdr.HasRows)
            {
                while (rdr.Read())
                {
                    if (rdr["PA_NAME"] != "")
                        atr = atr + rdr["PA_NAME"].ToString() + ", ";
                }
                ViewState["pa_name"] = atr.Remove(atr.Length - 2);
            }
            con.Close();
        }
        catch (Exception ex)
        {
            Response.Write("error");
        }
        finally
        {
            con.Close();
        }
    }
    protected void _Download(object sender, CommandEventArgs e)
    {
        SqlConnection con = null;
        try
        {
            string name = null;
            con = new SqlConnection(_consString);
            con.Open();
            SqlCommand cmd = new SqlCommand("select * from _PAPERS where _PAPER_ID=@p_ID");
            cmd.Connection = con;
            cmd.Parameters.Add("@p_ID", SqlDbType.VarChar).Value = e.CommandArgument;

            SqlDataReader rdr = cmd.ExecuteReader();

            if (rdr.HasRows)
            {
                rdr.Read();
                {
                    name = rdr["_PAPER_NAME"].ToString();
                } int index = name.IndexOf(",");

                if (index > 0)
                {
                    name = name.Substring(0, index - 1);
                }
            }




            Byte[] bytes = (Byte[])rdr["_PAPER_DATA"];
            Response.Buffer = true;
            Response.Charset = "";
            Response.Cache.SetCacheability(HttpCacheability.NoCache);
            Response.ContentType = "application/msword";
            Response.ContentType = "application/pdf";
            Response.AddHeader("content-disposition", "attachment;filename=" + name + rdr["_PAPER_ex"].ToString());
            Response.BinaryWrite(bytes);
            Response.Flush();
            Response.End();
        }
        catch (Exception ex)
        {
            Response.Write("error");
        }
        finally
        {
            con.Close();
        }

    }

   
}